
/**Use LSAC.dta**/

encode bar, gen(barenc)
gen wmt=2 if race~=. & index6040>360 & index6040<=380 & barenc~=. & tier~=.
replace wmt=3 if race~=. & index6040>380 & index6040<=400 & barenc~=. & tier~=.
replace wmt=1 if race~=. & index6040>400 & index6040<=440 & barenc~=. & tier~=.
replace wmt=3 if race~=. & index6040>440 & index6040<=740 & barenc~=. & tier~=.
replace wmt=4 if race~=. & index6040>740 & index6040<=880 & barenc~=. & tier~=.
replace wmt=5 if race~=. & index6040>880 & index6040<=960 & barenc~=. & tier~=.
replace wmt=6 if race~=. & index6040>960 & index6040<=980 & barenc~=. & tier~=.
replace wmt=5 if race~=. & index6040>980 & index6040<=1000 & barenc~=. & tier~=.

drop if tier==1

gen reltier=tier-wmt

drop black
drop other
drop asian 
drop hisp

gen white=1 if race==7
replace white=0 if race~=7
gen black=1 if race==3
replace black=0 if race~=3
gen other=1 if race==1 | race==8 
replace other=0 if race~=1 & race~=8
gen hisp=1 if race==4 | race==5 | race==6
replace hisp=0 if race~=4 & race~=5 & race~=6
gen asian=1 if race==2
replace asian=0 if race~=2

gen problawyer=1 if barenc==1 | barenc==2
replace problawyer=0 if barenc==3 | barenc==4 | barenc==5

gen reltierblack=reltier*black
gen reltierother=reltier*other
gen reltierasian=reltier*asian
gen reltierhisp=reltier*hisp

logit problawyer index6040 reltier reltierblack reltierhisp reltierasian reltierother black hisp asian other
test reltier+reltierblack=0
adjust index6040 black=1 asian=0 other=0 reltierasian=0 reltierother=0, by(reltier reltierblack) pr 
adjust index6040 black=0 asian=0 other=0 reltierasian=0 reltierother=0 reltierblack=0, by(reltier) pr 
